package tutorialJava.examenes.examen20241122;

import tutorialJava.UtilsArrays;

public class EjC_OrdenarArrayPorCantidadDivisores {

	public static void main(String[] args) {
		int a[] = new int[10];
		UtilsArrays.inicializaArray(a, 0, 100);
		UtilsArrays.imprimeArray(a);
		ordenaBurbuja(a);
		UtilsArrays.imprimeArray(a);
	}

	
	public static void ordenaBurbuja(int a[]) {
		boolean hayIntercambios = false;
		do {
			hayIntercambios = false;
			for (int i = 0; i < a.length - 1; i++) {
				if (cantidadDivisores(a[i]) > cantidadDivisores(a[i + 1])) {
					int aux = a[i];
					a[i] = a[i + 1];
					a[i + 1] = aux;
					hayIntercambios = true;
				}
			}
		} while (hayIntercambios == true);
		
	}

	/**
	 * 
	 * @param n
	 * @return
	 */
	public static int cantidadDivisores(int n) {
		int contDivisores = 0;
		for (int i = 2; i < n; i++) {
			if (n % i == 0) {
				contDivisores++;
			}
		}
		return contDivisores;
	}
	
}






